Subject: bug#53323: closed (Re: bug#53323: Please,I have a hard disk mounting problem for ESXI)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Jan 2022 22:05:02 +0000

Your bug report

#53323: Please,I have a hard disk mounting problem for ESXI

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53323: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53323
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53323: Please,I have a hard disk mounting problem for ESXI
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Mon, 17 Jan 2022 14:03:56 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jan 17, 2022 at 03:01:39AM +0000, Rui Chen wrote:
> Dear Engineer
> How do you do
> The following message is: Unable to determine the size of /dev/genscsi/t10.DP______BACKPLANE000000 (Function not implemented).
>        I'm sorry to bother you, but I really have a problem that has been bothering me for a long time.
>        A data disk has been mounted to my ESXI, and raid is not configured. However, in a recent operation, I took this disk down, and it could not be recognized after installation. The following is the relevant screenshot, please help to check it. ESXI version: 6.2.5
> ________________________________
> Thank you very much. Best Regards！

The error means that the kernel doesn't support the BLKGETSIZE ioctl for
the device in question. There isn't anything parted can do about that.
Also, version 2.4 is quite old at this point -- but even with a newer
version you would have the same problem.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: Please,I have a hard disk mounting problem for ESXI
From: Rui Chen(陈瑞)([email-masked])<[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Xiaoguang Wang(王晓光)([email-masked]) <[email-masked]>,Jun Qian(钱军)([email-masked]) <[email-masked]>
Date: Mon, 17 Jan 2022 03:01:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Engineer
How do you do
The following message is: Unable to determine the size of /dev/genscsi/t10.DP______BACKPLANE000000 (Function not implemented).
       I'm sorry to bother you, but I really have a problem that has been bothering me for a long time.
       A data disk has been mounted to my ESXI, and raid is not configured. However, in a recent operation, I took this disk down, and it could not be recognized after installation. The following is the relevant screenshot, please help to check it. ESXI version: 6.2.5
________________________________
Thank you very much. Best Regards！